Bug 84670 - [patch] tput(1) manpage missing ENVIRONMENT section with TERM, etc
Summary: [patch] tput(1) manpage missing ENVIRONMENT section with TERM, etc
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Gordon Bergling
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2005-08-08 16:40 UTC by Gary W. Swearingen
Modified: 2020-08-18 06:56 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (2.71 KB, patch)
2005-08-08 16:40 UTC, Gary W. Swearingen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gary W. Swearingen 2005-08-08 16:40:19 UTC
tput(1) manpage has several problems:

-- Missing an ENVIRONMENT section with TERM.
-- Too much in first paragraph, including start of option description.
-- A couple of descriptions are incomplete.
-- Confuses a "sequence" (of fields) with a "capability" (one field).
-- Synopsis doesn't show that all arguments are optional.

How-To-Repeat: n/a
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:07 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 2 commit-hook freebsd_committer 2020-08-11 21:44:54 UTC
A commit references this bug:

Author: gbe
Date: Tue Aug 11 21:44:44 UTC 2020
New revision: 364131
URL: https://svnweb.freebsd.org/changeset/base/364131

Log:
  tput(1): Several enhancements for the manual page

  - a couple of descriptions are incomplete
  - synopsis doesn't show that all arguments are optional
  - missing an ENVIRONMENT section with TERM mentioned

  PR:		84670
  Submitted by:	Gary W. Swearingen <garys at opusnet dot com>
  Reviewed by:	bcr
  Approved by:	bcr
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D26009

Changes:
  head/usr.bin/tput/tput.1
Comment 3 Gordon Bergling freebsd_committer 2020-08-11 21:45:53 UTC
Committed, thanks for the patch!
Comment 4 commit-hook freebsd_committer 2020-08-18 06:55:45 UTC
A commit references this bug:

Author: gbe
Date: Tue Aug 18 06:55:13 UTC 2020
New revision: 364338
URL: https://svnweb.freebsd.org/changeset/base/364338

Log:
  MFC r364131: tput(1): Several enhancements for the manual page

  - a couple of descriptions are incomplete
  - synopsis doesn't show that all arguments are optional
  - missing an ENVIRONMENT section with TERM mentioned

  PR:		84670
  Submitted by:	Gary W. Swearingen <garys at opusnet dot com>
  Reviewed by:	bcr
  Approved by:	bcr
  Differential Revision:	https://reviews.freebsd.org/D26009

Changes:
_U  stable/12/
  stable/12/usr.bin/tput/tput.1